Package ru.bgcrm.model

# Class Config

java.lang.Object
ru.bgcrm.model.Config

All Implemented Interfaces:
  `LastModifySupport`

public class Config extends Object implements LastModifySupport

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INCLUDE_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Config()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addIncluded(Config included)`
  Adds included configuration.
  `String`
  `getData()`
  `Date`
  `getDate()`
  Deprecated.
  `String`
  `getEnabledPluginsTitles()`
  Comma separated list of enabled plugins titles.
  `int`
  `getId()`
  `List<Config>`
  `getIncludedList()`
  Included configurations, sorted by title.
  `static Iterable<String>`
  `getIncludes(ConfigDAO configDao, ConfigMap data, boolean validate)`
  Selects includes from global configuration like: include.=1.
  `LastModify`
  `getLastModify()`
  `int`
  `getParentId()`
  `String`
  `getTitle()`
  `int`
  `getUserId()`
  Deprecated.
  `ConfigMap`
  `getValueMap()`
  `boolean`
  `isActive()`
  Main active configuration.
  `void`
  `setActive(boolean active)`
  `void`
  `setData(String data)`
  `void`
  `setDate(Date date)`
  Deprecated.
  `void`
  `setId(int id)`
  `void`
  `setLastModify(LastModify lastModify)`
  `void`
  `setParentId(int parentId)`
  `void`
  `setTitle(String title)`
  `void`
  `setUserId(int userId)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INCLUDE_PREFIX

    public static final String INCLUDE_PREFIX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Config

    public Config()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getUserId

    @Deprecated public int getUserId()
    Deprecated.

  - ### setUserId

    @Deprecated public void setUserId(int userId)
    Deprecated.

  - ### isActive

    public boolean isActive()
    Main active configuration.
    Returns:

  - ### setActive

    public void setActive(boolean active)

  - ### getDate

    @Deprecated public Date getDate()
    Deprecated.

  - ### setDate

    @Deprecated public void setDate(Date date)
    Deprecated.

  - ### getData

    public String getData()

  - ### setData

    public void setData(String data)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getParentId

    public int getParentId()

  - ### setParentId

    public void setParentId(int parentId)

  - ### addIncluded

    public void addIncluded(Config included)
    Adds included configuration.
    Parameters:
      `included` -

  - ### getIncludedList

    public List<Config> getIncludedList()
    Included configurations, sorted by title.
    Returns:

  - ### getValueMap

    public ConfigMap getValueMap()

  - ### getLastModify

    public LastModify getLastModify()
    Specified by:
      `getLastModify` in interface `LastModifySupport`

  - ### setLastModify

    public void setLastModify(LastModify lastModify)
    Specified by:
      `setLastModify` in interface `LastModifySupport`

  - ### getEnabledPluginsTitles

    public String getEnabledPluginsTitles()
    Comma separated list of enabled plugins titles.
    Returns:

  - ### getIncludes

    public static Iterable<String> getIncludes(ConfigDAO configDao, ConfigMap data, boolean validate) throws BGMessageException, SQLException
    Selects includes from global configuration like: include.=1.
    Parameters:
      `configDao` - configuration selector.
      `data` - configuration raw data, containing includes.
      `validate` - выброс исключения при не найденной конфигурации.
    Throws:
      `BGMessageException` - validation
      `SQLException`